xine-lib: dxr3_driver_s Struct Reference

xine-lib 1.2.12

Data Fields
dxr3_driver_s Struct Reference

`#include <video_out_dxr3.h>`

## Data Fields
vo_driver_t | vo_driver
dxr3_driver_class_t * | class
dxr3_scr_t * | scr
int | fd_control
pthread_mutex_t | video_device_lock
int | fd_video
pthread_mutex_t | spu_device_lock
int | fd_spu
int | clut_cluttered
int | enhanced_mode
int | swap_fields
int | add_bars
int | aspect
int | tv_mode
int | pan_scan
int | overlay_enabled
int | tv_switchable
int | widescreen_enabled
em8300_bcs_t | bcs
encoder_data_t * | enc
spu_encoder_t * | spu_enc
int | need_update
uint32_t | video_iheight
uint32_t | video_oheight
uint32_t | video_width
double | video_ratio
int | video_aspect
int | top_bar
vo_scale_t | scale
alphablend_t | alphablend_extra_data
dxr3_overlay_t | overlay

## Field Documentation

## ◆ add_bars

int dxr3_driver_s::add_bars

## ◆ alphablend_extra_data

alphablend_t dxr3_driver_s::alphablend_extra_data

## ◆ aspect

int dxr3_driver_s::aspect

## ◆ bcs

em8300_bcs_t dxr3_driver_s::bcs

## ◆ class

dxr3_driver_class_t* dxr3_driver_s::class

Referenced by lavc_on_display_frame(), and lavc_on_update_format().

## ◆ clut_cluttered

int dxr3_driver_s::clut_cluttered

## ◆ enc

encoder_data_t* dxr3_driver_s::enc

Referenced by dxr3_lavc_close(), dxr3_lavc_init(), lavc_on_display_frame(), lavc_on_unneeded(), and lavc_on_update_format().

## ◆ enhanced_mode

int dxr3_driver_s::enhanced_mode

## ◆ fd_control

int dxr3_driver_s::fd_control

## ◆ fd_spu

int dxr3_driver_s::fd_spu

## ◆ fd_video

int dxr3_driver_s::fd_video

Referenced by lavc_on_display_frame().

## ◆ need_update

int dxr3_driver_s::need_update

## ◆ overlay

dxr3_overlay_t dxr3_driver_s::overlay

## ◆ overlay_enabled

int dxr3_driver_s::overlay_enabled

## ◆ pan_scan

int dxr3_driver_s::pan_scan

## ◆ scale

vo_scale_t dxr3_driver_s::scale

## ◆ scr

dxr3_scr_t* dxr3_driver_s::scr

## ◆ spu_device_lock

pthread_mutex_t dxr3_driver_s::spu_device_lock

## ◆ spu_enc

spu_encoder_t* dxr3_driver_s::spu_enc

## ◆ swap_fields

int dxr3_driver_s::swap_fields

## ◆ top_bar

int dxr3_driver_s::top_bar

Referenced by lavc_prepare_frame().

## ◆ tv_mode

int dxr3_driver_s::tv_mode

## ◆ tv_switchable

int dxr3_driver_s::tv_switchable

## ◆ video_aspect

int dxr3_driver_s::video_aspect

## ◆ video_device_lock

pthread_mutex_t dxr3_driver_s::video_device_lock

## ◆ video_iheight

uint32_t dxr3_driver_s::video_iheight

## ◆ video_oheight

uint32_t dxr3_driver_s::video_oheight

## ◆ video_ratio

double dxr3_driver_s::video_ratio

## ◆ video_width

uint32_t dxr3_driver_s::video_width

## ◆ vo_driver

vo_driver_t dxr3_driver_s::vo_driver

## ◆ widescreen_enabled

int dxr3_driver_s::widescreen_enabled

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/dxr3/video_out_dxr3.h